Flagged Out-of-Date Comment: python-pyquante2-git

MarsSeed flagged python-pyquante2-git out-of-date on 2023-09-25 (UTC) for the following reason:

Remove unneeded python2 pkg; modernize the build as per PEP 517 setup flow and add needed makedepends: https://wiki.archlinux.org/title/Python_package_guidelines